Run in Apidog
Renews active subscriptions based on the provided subscription IDs. Request Body# Field Type Required Description subscriptionIdsarrayYes Array of subscription IDs to be renewed
Request Add parameter in header cmr-x-api-key
Example: cmr-x-api-key: ********************
or
Body Params application/json
{
"subscriptionIds" : [
"6ZHR985PGP456XG8HCYHF919YVS6" ,
"0BRBX9FGE4M77TGG14C3JYN4PMJT"
]
} Request Code Samples
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/subscriptions/renew-subscriptions' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"subscriptionIds": [
"6ZHR985PGP456XG8HCYHF919YVS6",
"0BRBX9FGE4M77TGG14C3JYN4PMJT"
]
}' Responses application/json
Generate Code
{
"status" : 200 ,
"message" : "Subscriptions added for renewal. Please ensure you have enough balance to renew the subscriptions." ,
"actionId" : "ACT_7a078272-0fa7-4db4-a85b-c78697dacea1"
}
Modified at 2026-06-23 16:21:02